<?php

$q = htmlspecialchars($_GET["q"]);
$source = htmlspecialchars($_GET["source"]);

//let's build the url to call. We will assume that we are going to fetch first page results. 
// You can take page number as input parameter or may be use you own logic to determine.

$url = 'http://www.camideo.com/api/?key=API_KEY&source=' . $source . '&q=' 
		. $q . '&response=json&page=1' ;

//Now we are going to make the call. It's simple.

$json = file_get_contents($url); 

//We have the output as JSON string, let's convert it to a JSON object

$data = json_decode($json, TRUE);


if(!$data){
    header("Location:error.php");
}else if($data['Camideo']['Error']){
        header("Location:error.php?code=" . $data['Camideo']['Error']['code'] . "&desc=" . $data['Camideo']['Error']['description']);
}else{

	foreach($data['Camideo']['videos'] as $entry) { 
?>
	<div class="thumb">
		<?php if($source == "metacafe" || $source == "myspace"){ ?>
		<embed flashVars="playerVars=autoPlay=no" src="<?php echo $entry['embedCode']; ?>" width="390" height="290" wmode="transparent" allowFullScreen="true" allowScriptAccess="always" name="Metacafe_<?php echo $entry['videoId']; ?>" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash"></embed>
		<?php } else { ?>
		<iframe type="text/html" width="390" height="290" src="<?php echo $entry['embedCode']; ?>"
			frameborder="0"></iframe>
		 <?php } ?>
	</div> <!-- thumb ends -->
	<div class="videoDetails">
		<div class="videoTitle">
			<a target="_blank" href="<?php echo $entry['link']; ?>" title="<?php echo $entry['title']; ?>" rel="nofollow">
				<h2><?php echo $entry['title']; ?></h2>
			</a>
		</div>
	<div class="videoDesc">
		<?php echo $entry['description']; ?>
	</div>
	<div>
		Uploaded by 
			<a class="videoAuthor" href="<?php echo $entry['authorLink']; ?>" rel="nofollow" target="_blank"title="<?php echo $entry['author']; ?>">
				<?php echo $entry['author']; ?>
			</a> | 
		Length 
			<span class="videoWhiteText">
				<?php echo $entry['duration']; ?>
			</span> | 
			<span class="videoWhiteText">
				<?php echo number_format($entry['views']); ?>
			</span> views
	</div>

<?php
	}
}

?>